Unit tde32e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE32E_p, DE32E_p;

function tde32e: String;

implementation

function tde32e: String;
var
IORDER,M,J,I,IERR :Integer;
P,EPS,HMIN,H,XN :Extended;
BUL :Boolean;
YN :Array [0..1] of Extended;
DF :Array [0..9] of Extended;
Y :Array [0..9] of Extended;
X :Array [0..4] of Extended;
RS :Array [0..1] of Extended;
RF :Array [0..1] of Extended;
R :Array [0..1] of Extended;
begin
Result := '';  {   }
BUL := False;
IORDER := 5;
P := 100.0;
EPS := 0.0001e0;
HMIN := 1.e-10;
M := 2;
H := 0.01e0;
XN := 0.75e0*3.141592653589793e0;
YN[0] := Sqrt(2.e0)/2.e0;
YN[1] := -YN[0];
DE32E(FDE32E,M,IORDER,XN,YN,HMIN,EPS,P,H,DF,X,Y,BUL,RS,RF,R,IERR);
Result := Result + Format('%20.16f %20.16f %20.16f ',
 [X[4],Y[8],Y[9]]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for J:=1 to 5 do
 begin
  for I:=1 to 2 do
   begin
    Result := Result + Format('%20.16f ',[DF[(I-1)+(J-1)*2]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('tde32e',Result);  {     tde32e.res }
exit;
end;

end.
